#pragma once

#include <chrono>
#include <cstdint>


struct AudioPacket {
    // scheduling
    std::chrono::time_point<std::chrono::high_resolution_clock> timePlay;
    // content
    std::uint16_t contentSize;
    std::array<std::uint8_t, 65280> content;
};
